# eric6.E5XML.ShortcutsReader

Module implementing a class for reading an XML shortcuts file.

### Global Attributes

None

### Classes

ShortcutsReader | Class for reading an XML shortcuts file.

### Functions

None

## ShortcutsReader

Class for reading an XML shortcuts file.

### Derived from

XMLStreamReaderBase

### Class Attributes

supportedVersions

### Class Methods

None

### Methods

ShortcutsReader | Constructor
__readShortCut | Private method to read the shortcut data.
getShortcuts | Public method to retrieve the shortcuts.
readXML | Public method to read and parse the XML document.

### Static Methods

None

#### ShortcutsReader (Constructor)

ShortcutsReader(device)

Constructor

device
  reference to the I/O device to read from (QIODevice)

#### ShortcutsReader.__readShortCut

__readShortCut()

Private method to read the shortcut data.

#### ShortcutsReader.getShortcuts

getShortcuts()

Public method to retrieve the shortcuts.

Returns:
  Dictionary of dictionaries of shortcuts. The keys of the dictionary are the categories, the values are dictionaries. These dictionaries have the shortcut name as their key and a tuple of accelerators as their value.

#### ShortcutsReader.readXML

readXML()

Public method to read and parse the XML document.

Up